Index: c/src/ada-tests/samples/base_mp/mptest.adb
===================================================================
--- c/src/ada-tests/samples/base_mp/mptest.adb	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
+++ c/src/ada-tests/samples/base_mp/mptest.adb	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
@@ -0,0 +1,108 @@
+--
+--  MPTEST / BODY
+--
+--  DESCRIPTION:
+--
+--  This package is the implementation for Test 1 of the RTEMS
+--  Multiprocessor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+--  On-Line Applications Research Corporation (OAR).
+--  All rights assigned to U.S. Government, 1994.
+--
+--  This material may be reproduced by or for the U.S. Government pursuant
+--  to the copyright license under the clause at DFARS 252.227-7013.  This
+--  notice must appear in all copies of this file and its derivatives.
+--
+--  mptest.adb,v 1.3 1995/07/12 19:40:36 joel Exp
+--
+
+with INTERFACES; use INTERFACES;
+with RTEMS;
+with TEST_SUPPORT;
+with TEXT_IO;
+with UNSIGNED32_IO;
+
+package body MPTEST is
+
+   package body PER_NODE_CONFIGURATION is separate;
+
+--PAGE
+--
+--  INIT
+--
+
+   procedure INIT (
+      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+   ) is
+      C      : RTEMS.CHARACTER;
+      TIME   : RTEMS.TIME_OF_DAY;
+      STATUS : RTEMS.STATUS_CODES;
+   begin
+
+      TEXT_IO.NEW_LINE( 2 );
+      TEXT_IO.PUT( "*** SAMPLE MULTIPROCESSOR APPLICATION ***" );
+      TEXT_IO.PUT( "Creating and starting an application task" );
+
+
+      MPTEST.TASK_NAME( 1 ) := RTEMS.BUILD_NAME(  'T', 'A', '1', ' ' );
+
+      RTEMS.TASK_CREATE( 
+         MPTEST.TASK_NAME( 1 ), 
+         1, 
+         2048, 
+         RTEMS.INTERRUPT_LEVEL( 0 ),
+         RTEMS.DEFAULT_ATTRIBUTES,
+         MPTEST.TASK_ID( 1 ),
+         STATUS
+      );
+      TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF TA1" );
+
+      RTEMS.TASK_START(
+         MPTEST.TASK_ID( 1 ),
+         MPTEST.APPLICATION_TASK'ACCESS,
+         0,
+         STATUS
+      );
+      TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF TA1" );
+
+      RTEMS.TASK_DELETE( RTEMS.SELF, STATUS );
+      TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_DELETE OF SELF" );
+
+   end INIT;
+
+--PAGE
+--
+--  APPLICATION_TASK
+--
+
+   procedure APPLICATION_TASK (
+      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+   ) is
+      TIME   : RTEMS.TIME_OF_DAY;
+      TID    : RTEMS.ID;
+      STATUS : RTEMS.STATUS_CODES;
+   begin
+
+      RTEMS.TASK_IDENT( RTEMS.SELF, RTEMS.SEARCH_ALL_NODES, TID, STATUS );
+      TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_IDENT OF SELF" );
+   
+      TEXT_IO.PUT( "This task was invoked with node argument (" );
+      UNSIGNED32_IO.PUT( ARGUMENT );
+      TEXT_IO.PUT_LINE( ")" );
+
+      TEXT_IO.PUT( "This task has the id of  0x" );
+      UNSIGNED32_IO.PUT( TID, BASE => 16 );
+      TEXT_IO.NEW_LINE;
+ 
+      TEXT_IO.PUT_LINE( "*** END OF SAMPLE MULTIPROCESSOR APPLICATION  ***" );
+
+      RTEMS.SHUTDOWN_EXECUTIVE( 0 );
+
+   end APPLICATION_TASK;
+
+end MPTEST;
Index: c/src/ada-tests/samples/base_mp/mptest.ads
===================================================================
--- c/src/ada-tests/samples/base_mp/mptest.ads	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
+++ c/src/ada-tests/samples/base_mp/mptest.ads	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
@@ -0,0 +1,167 @@
+--
+--  MPTEST / SPECIFICATION
+--
+--  DESCRIPTION:
+--
+--  This package is the specification for Test 1 of the RTEMS
+--  Multiprocessor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+--  On-Line Applications Research Corporation (OAR).
+--  All rights assigned to U.S. Government, 1994.
+--
+--  This material may be reproduced by or for the U.S. Government pursuant
+--  to the copyright license under the clause at DFARS 252.227-7013.  This
+--  notice must appear in all copies of this file and its derivatives.
+--
+--  mptest.ads,v 1.3 1995/07/12 19:40:37 joel Exp
+--
+
+with CLOCK_DRIVER;
+with BSP_MPCI;
+with RTEMS;
+
+package MPTEST is
+
+--
+--  These arrays contain the IDs and NAMEs of all RTEMS tasks created
+--  by this test.
+--
+
+   TASK_ID   : array ( RTEMS.UNSIGNED32 range 1 .. 3 ) of RTEMS.ID;
+   TASK_NAME : array ( RTEMS.UNSIGNED32 range 1 .. 3 ) of RTEMS.NAME;
+
+--
+--  INIT
+--
+--  DESCRIPTION:
+--
+--  This RTEMS task initializes the application.
+--
+
+   procedure INIT (
+      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+   );
+
+--
+--  APPLICATION_TASK
+--
+--  DESCRIPTION:
+--
+--  This routine is as an example of an application task which
+--  prints a message including its RTEMS task id.  This task
+--  then invokes exit to return to the monitor.
+--
+
+   procedure APPLICATION_TASK (
+      ARGUMENT : in     RTEMS.TASK_ARGUMENT
+   );
+
+--
+--  This is the Driver Address Table for this test.
+--
+
+   DEVICE_DRIVERS : aliased RTEMS.DRIVER_ADDRESS_TABLE( 1 .. 1 ) :=
+   (1=>
+      (
+        CLOCK_DRIVER.INITIALIZE'ACCESS,              -- Initialization
+        RTEMS.NO_DRIVER_ENTRY,                       -- Open
+        RTEMS.NO_DRIVER_ENTRY,                       -- Close
+        RTEMS.NO_DRIVER_ENTRY,                       -- Read
+        RTEMS.NO_DRIVER_ENTRY,                       -- Write
+        RTEMS.NO_DRIVER_ENTRY                        -- Control
+      )
+   );
+
+--
+--  This is the Initialization Tasks Table for this test.
+--
+
+   INITIALIZATION_TASKS : aliased RTEMS.INITIALIZATION_TASKS_TABLE( 1 .. 1 ) := 
+   (1=>
+     (
+       RTEMS.BUILD_NAME( 'U', 'I', '1', ' ' ),        -- task name
+       2048,                                          -- stack size
+       1,                                             -- priority
+       RTEMS.GLOBAL,                                  -- attributes
+       MPTEST.INIT'ACCESS,                            -- entry point
+       RTEMS.NO_PREEMPT,                              -- initial mode
+       0                                              -- argument list
+     )
+   );
+
+----------------------------------------------------------------------------
+----------------------------------------------------------------------------
+--                             BEGIN SUBPACKAGE                           --
+----------------------------------------------------------------------------
+----------------------------------------------------------------------------
+
+   --
+   --  MPTEST.PER_NODE_CONFIGURATION / SPECIFICATION
+   --
+   --  DESCRIPTION:
+   --
+   --  This package is the specification for the subpackage
+   --  which will define the per node configuration parameters.
+   --
+   
+   package PER_NODE_CONFIGURATION is
+
+   --
+   --  LOCAL_NODE_NUMBER
+   --
+   --  DESCRIPTION:
+   --
+   --  This function returns the node number for this node.
+   --
+
+      function LOCAL_NODE_NUMBER 
+      return RTEMS.UNSIGNED32;
+  
+      pragma INLINE ( LOCAL_NODE_NUMBER );
+
+   end PER_NODE_CONFIGURATION;
+  
+----------------------------------------------------------------------------
+----------------------------------------------------------------------------
+--                              END SUBPACKAGE                            --
+----------------------------------------------------------------------------
+----------------------------------------------------------------------------
+
+--
+--  This is the Multiprocessor Configuration Table for this test.
+--
+
+   MULTIPROCESSING_CONFIGURATION : aliased RTEMS.MULTIPROCESSING_TABLE := (
+      MPTEST.PER_NODE_CONFIGURATION.LOCAL_NODE_NUMBER,
+      2,                         -- maximum # nodes in system 
+      33,                        -- maximum # global objects
+      33                         -- maximum # proxies
+    );
+
+--
+--  This is the Configuration Table for this test.
+--
+
+   CONFIGURATION : aliased RTEMS.CONFIGURATION_TABLE := (
+      RTEMS.NULL_ADDRESS,        -- will be replaced by BSP
+      64 * 1024,                 -- executive RAM size
+      10,                        -- maximum # tasks
+      0,                         -- maximum # timers
+      0,                         -- maximum # semaphores
+      0,                         -- maximum # message queues
+      0,                         -- maximum # messages
+      0,                         -- maximum # partitions
+      0,                         -- maximum # regions
+      0,                         -- maximum # dp memory areas
+      0,                         -- maximum # periods
+      0,                         -- maximum # user extensions
+      RTEMS.MILLISECONDS_TO_MICROSECONDS(10), -- # us in a tick
+      50                         -- # ticks in a timeslice
+  );
+
+end MPTEST;
Index: c/src/ada-tests/samples/base_mp/node1/mptest-per_node_configuration.adb
===================================================================
--- c/src/ada-tests/samples/base_mp/node1/mptest-per_node_configuration.adb	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
+++ c/src/ada-tests/samples/base_mp/node1/mptest-per_node_configuration.adb	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
@@ -0,0 +1,43 @@
+--
+--  MPTEST.PER_NODE_CONFIGURATION / BODY
+--
+--  DESCRIPTION:
+--
+--  This package is the specification for the subpackage
+--  which will define the per node configuration parameters.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+--  On-Line Applications Research Corporation (OAR).
+--  All rights assigned to U.S. Government, 1994.
+--
+--  This material may be reproduced by or for the U.S. Government pursuant
+--  to the copyright license under the clause at DFARS 252.227-7013.  This
+--  notice must appear in all copies of this file and its derivatives.
+--
+--  mptest-per_node_configuration.adb,v 1.2 1995/05/31 16:36:05 joel Exp
+--
+
+with RTEMS;
+
+separate ( MPTEST )
+
+package body PER_NODE_CONFIGURATION is
+
+--PAGE
+--
+--  LOCAL_NODE_NUMBER
+--
+
+   function LOCAL_NODE_NUMBER 
+   return RTEMS.UNSIGNED32 is
+   begin
+
+      return 1;
+
+   end LOCAL_NODE_NUMBER;
+
+end PER_NODE_CONFIGURATION;
Index: c/src/ada-tests/samples/base_mp/node2/mptest-per_node_configuration.adb
===================================================================
--- c/src/ada-tests/samples/base_mp/node2/mptest-per_node_configuration.adb	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
+++ c/src/ada-tests/samples/base_mp/node2/mptest-per_node_configuration.adb	(revision 6d4e604be8b43c0555cd1c9531fe78ae199a1189)
@@ -0,0 +1,43 @@
+--
+--  MPTEST.PER_NODE_CONFIGURATION / BODY
+--
+--  DESCRIPTION:
+--
+--  This package is the specification for the subpackage
+--  which will define the per node configuration parameters.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+--  On-Line Applications Research Corporation (OAR).
+--  All rights assigned to U.S. Government, 1994.
+--
+--  This material may be reproduced by or for the U.S. Government pursuant
+--  to the copyright license under the clause at DFARS 252.227-7013.  This
+--  notice must appear in all copies of this file and its derivatives.
+--
+--  mptest-per_node_configuration.adb,v 1.2 1995/05/31 16:36:17 joel Exp
+--
+
+with RTEMS;
+
+separate ( MPTEST )
+
+package body PER_NODE_CONFIGURATION is
+
+--PAGE
+--
+--  LOCAL_NODE_NUMBER
+--
+
+   function LOCAL_NODE_NUMBER 
+   return RTEMS.UNSIGNED32 is
+   begin
+
+      return 2;
+
+   end LOCAL_NODE_NUMBER;
+
+end PER_NODE_CONFIGURATION;
